# Use postgres/example user/password credentials
version: '3.8'

services:

  db_pg:
    container_name: postgres
    restart: always
    environment:
      POSTGRES_PASSWORD: example
    ports:
      - 8200:5432
    build: 
      dockerfile_inline: |
        FROM postgres:latest
        COPY ./tables/postgres_tables.sql /docker-entrypoint-initdb.d/

  db_maria:
    container_name: mariadb
    restart: always
    build: 
      dockerfile_inline: |
        FROM mariadb:latest
        COPY ./tables/mariadb_tables.sql /docker-entrypoint-initdb.d/
    environment:
      MYSQL_ROOT_PASSWORD: example
      MYSQL_DATABASE: test
      MYSQL_USER: mysql
      MYSQL_PASSWORD: example
    ports:
      - 33060:3306

  adminer:
    image: adminer
    restart: always
    ports:
      - 8100:8080